Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.processor
Class ProcessorExsltFunction

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.processor.XSLTElementProcessor
                        |
                        +--org.apache.xalan.processor.ProcessorTemplateElem
                              |
                              +--org.apache.xalan.processor.ProcessorExsltFunction

public class ProcessorExsltFunction
extends ProcessorTemplateElem

This class processes parse events for an exslt func:function element.

See Also:
  Serialized Form
Usage:
  **For internal use only**

Constructor Summary
`ProcessorExsltFunction()`

Method Summary
`void` | `endElement(StylesheetHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String rawName)` End an ElemExsltFunction, and verify its validity.
`void` | `startElement(StylesheetHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String rawName, Attributes attributes)` Start an ElemExsltFunction.
`void` | `validate(ElemTemplateElement elem, StylesheetHandler handler)` Non-recursive traversal of FunctionElement tree based on TreeWalker to verify that there are no literal result elements except within a func:result element and that the func:result element does not contain any following siblings except xsl:fallback.

Methods inherited from class org.apache.xalan.processor.XSLTElementProcessor
`characters, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startNonText, unparsedEntityDecl`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, compose, containsExcludeResultPrefix, endCompose, error, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeName, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, getXSLToken, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessorExsltFunction

    public ProcessorExsltFunction()

Method Detail

### startElement

    public void startElement(StylesheetHandler handler,
                             java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String rawName,
                             Attributes attributes)
                      throws SAXException

  Start an ElemExsltFunction. Verify that it is top level and that it has a name attribute with a namespace.
  Overrides:
    startElement in class ProcessorTemplateElem

### endElement

    public void endElement(StylesheetHandler handler,
                           java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String rawName)
                    throws SAXException

  End an ElemExsltFunction, and verify its validity.
  Overrides:
    endElement in class ProcessorTemplateElem

### validate

    public void validate(ElemTemplateElement elem,
                         StylesheetHandler handler)
                  throws SAXException

  Non-recursive traversal of FunctionElement tree based on TreeWalker to verify that there are no literal result elements except within a func:result element and that the func:result element does not contain any following siblings except xsl:fallback.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.